hpi_shell(1)

NAME
hpi_shell - An openhpi sample application that allows a user to interactively perform a number of HPI operations.

SYNOPSIS
 hpi_shell [-D nn] [-N host[:port]] [-C <cfgfile>] [-e] [-f <file>] [-X] [-h]
 hpi_shell [--domain=nn] [--host=host[:port]] [--cfgfile=file] [--events] [--cmdfile=filename] [--debug] [--help]

DESCRIPTION
hpi_shell reads commands and performs HPI operations based on those commands. This allows it to exercise HPI-managed hardware and do manual operations on that hardware.

Once in hpi_shell, use the "help" command for a list of commands, or "help command" for details on a particular command.

If no domain or host is selected, ohparam uses the default domain as specified in the openhpiclient.conf file.

OPTIONS

  Help Options:
  -h, --help                   Show help options

  Application Options:

-f filename, --cmdfile=filename
    Execute command file

-e, --events
    Show short events, discover after subscribe

-D nn, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SEE ALSO
  hpialarms      hpifan         hpipower       hpithres
  hpidomain      hpigensimdata  hpireset       hpitop
  hpiel          hpiinv         hpisensor      hpitree
  hpievents      hpionIBMblade  hpisettime     hpiwdt
  hpixml
  ohdomainlist   ohhandler      ohparam

AUTHORS
Author(s) of this man page:

  Bryan Sutula (sutula@users.sourceforge.net)
  Ulrich Kleber (ulikleber@users.sourceforge.net)
  Anton Pak (avpak@users.sourceforge.net)